Retrieve account flag state
curl --request GET \
--url https://api.hubapi.com/feature-flags/2026-03/{appId}/flags/{flagName}/portals/{portalId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/feature-flags/2026-03/{appId}/flags/{flagName}/portals/{portalId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/feature-flags/2026-03/{appId}/flags/{flagName}/portals/{portalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appId": 123,
"flagName": "<string>",
"flagState": "ABSENT",
"portalId": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Portal Flag States
Retrieve account flag state
Retrieve the account-level flag state of a specific HubSpot account.
GET
/
feature-flags
/
2026-03
/
{appId}
/
flags
/
{flagName}
/
portals
/
{portalId}
Retrieve account flag state
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Last modified on April 20, 2026
Was this page helpful?